Skip to main content
POST
/
team
/
sku-change-request
Create a SKU change request
curl --request POST \
  --url https://api.wirespeed.co/team/sku-change-request \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "requestedSku": "identity"
}
'
{
  "id": "<string>",
  "teamId": "<string>",
  "teamName": "<string>",
  "requesterName": "<string>",
  "requesterEmail": "<string>",
  "currentSku": "identity",
  "requestedSku": "identity",
  "status": "pending",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "parentTeamName": "<string>",
  "reviewerName": "<string>",
  "reviewerEmail": "<string>",
  "isTrial": true,
  "skuStartDate": "<string>",
  "skuEndDate": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
requestedSku
enum<string>
required

The SKU the team is requesting to change to

Available options:
identity,
mdr,
unlimited

Response

id
string
required
teamId
string
required
teamName
string
required
requesterName
string
required
requesterEmail
string
required
currentSku
enum<string>
required
Available options:
identity,
mdr,
unlimited
requestedSku
enum<string>
required
Available options:
identity,
mdr,
unlimited
status
enum<string>
required
Available options:
pending,
accepted,
denied,
accepted_with_modifications,
cancelled
createdAt
string
required
updatedAt
string
required
parentTeamName
string | null
reviewerName
string | null
reviewerEmail
string | null
isTrial
boolean | null

Live team isTrial from JOIN

skuStartDate
string | null

Live team skuStartDate from JOIN

skuEndDate
string | null

Live team skuEndDate from JOIN